aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Core

# Documentation

type ErrorCode = Text #

data SqsError #

Constructors

SqsError |

Fields

- sqsStatusCode :: Status
- sqsErrorCode :: ErrorCode
- sqsErrorType :: Text
- sqsErrorMessage :: Text
- sqsErrorDetail :: Maybe Text
- sqsErrorMetadata :: Maybe SqsMetadata

SqsXmlError |

Fields

- sqsXmlErrorMessage :: Text
- sqsXmlErrorMetadata :: Maybe SqsMetadata

#### Instances

Instances details

Exception SqsError # |
Instance details Defined in Aws.Sqs.Core Methods toException :: SqsError -> SomeException # fromException :: SomeException -> Maybe SqsError # displayException :: SqsError -> String # backtraceDesired :: SqsError -> Bool #
Show SqsError # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsError -> ShowS # show :: SqsError -> String # showList :: [SqsError] -> ShowS #

data SqsMetadata #

Constructors

SqsMetadata |

Fields

- sqsMAmzId2 :: Maybe Text
- sqsMRequestId :: Maybe Text

#### Instances

Instances details

Loggable SqsMetadata # |
Instance details Defined in Aws.Sqs.Core Methods toLogText :: SqsMetadata -> Text #
Monoid SqsMetadata # |
Instance details Defined in Aws.Sqs.Core Methods mempty :: SqsMetadata # mappend :: SqsMetadata -> SqsMetadata -> SqsMetadata # mconcat :: [SqsMetadata] -> SqsMetadata #
Semigroup SqsMetadata # |
Instance details Defined in Aws.Sqs.Core Methods (<>) :: SqsMetadata -> SqsMetadata -> SqsMetadata # sconcat :: NonEmpty SqsMetadata -> SqsMetadata # stimes :: Integral b => b -> SqsMetadata -> SqsMetadata #
Show SqsMetadata # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsMetadata -> ShowS # show :: SqsMetadata -> String # showList :: [SqsMetadata] -> ShowS #

data SqsAuthorization #

Constructors

SqsAuthorizationHeader |
SqsAuthorizationQuery |

#### Instances

Instances details

Show SqsAuthorization # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsAuthorization -> ShowS # show :: SqsAuthorization -> String # showList :: [SqsAuthorization] -> ShowS #

data Endpoint #

Constructors

Endpoint |

Fields

- endpointHost :: ByteString
- endpointDefaultLocationConstraint :: LocationConstraint
- endpointAllowedLocationConstraints :: [LocationConstraint]

#### Instances

Instances details

Show Endpoint # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> Endpoint -> ShowS # show :: Endpoint -> String # showList :: [Endpoint] -> ShowS #

data SqsConfiguration qt #

Constructors

SqsConfiguration |

Fields

- sqsProtocol :: Protocol
- sqsEndpoint :: Endpoint
- sqsPort :: Int
- sqsUseUri :: Bool
- sqsDefaultExpiry :: NominalDiffTime

#### Instances

Instances details

DefaultServiceConfiguration (SqsConfiguration NormalQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration NormalQuery # debugServiceConfig :: SqsConfiguration NormalQuery #
DefaultServiceConfiguration (SqsConfiguration UriOnlyQuery) # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration UriOnlyQuery # debugServiceConfig :: SqsConfiguration UriOnlyQuery #
Show (SqsConfiguration qt) # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsConfiguration qt -> ShowS # show :: SqsConfiguration qt -> String # showList :: [SqsConfiguration qt] -> ShowS #

sqsEndpointUsClassic :: Endpoint #

sqsEndpointUsWest :: Endpoint #

sqsEndpointUsWest2 :: Endpoint #

sqsEndpointEu :: Endpoint #

sqsEndpointEuWest2 :: Endpoint #

sqsEndpointApSouthEast :: Endpoint #

sqsEndpointApSouthEast2 :: Endpoint #

sqsEndpointApNorthEast :: Endpoint #

sqs :: Protocol -> Endpoint -> Bool -> SqsConfiguration qt #

data SqsQuery #

Constructors

SqsQuery |

Fields

- sqsQueueName :: Maybe QueueName
- sqsQuery :: Query

sqsSignQuery :: SqsQuery -> SqsConfiguration qt -> SignatureData -> SignedQuery #

sqsResponseConsumer :: HTTPResponseConsumer a -> IORef SqsMetadata -> HTTPResponseConsumer a #

sqsXmlResponseConsumer :: (Cursor -> Response SqsMetadata a) -> IORef SqsMetadata -> HTTPResponseConsumer a #

sqsErrorResponseConsumer :: HTTPResponseConsumer a #

data QueueName #

Constructors

QueueName |

Fields

- qName :: Text
- qAccountNumber :: Text

#### Instances

Instances details

Read QueueName # |
Instance details Defined in Aws.Sqs.Core Methods readsPrec :: Int -> ReadS QueueName # readList :: ReadS [QueueName] # readPrec :: ReadPrec QueueName # readListPrec :: ReadPrec [QueueName] #
Show QueueName # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> QueueName -> ShowS # show :: QueueName -> String # showList :: [QueueName] -> ShowS #
Eq QueueName # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: QueueName -> QueueName -> Bool # (/=) :: QueueName -> QueueName -> Bool #
Ord QueueName # |
Instance details Defined in Aws.Sqs.Core Methods compare :: QueueName -> QueueName -> Ordering # (<) :: QueueName -> QueueName -> Bool # (<=) :: QueueName -> QueueName -> Bool # (>) :: QueueName -> QueueName -> Bool # (>=) :: QueueName -> QueueName -> Bool # max :: QueueName -> QueueName -> QueueName # min :: QueueName -> QueueName -> QueueName #

printQueueName :: QueueName -> Text #

data QueueAttribute #

Constructors

QueueAll |
ApproximateNumberOfMessages |
ApproximateNumberOfMessagesNotVisible |
VisibilityTimeout |
CreatedTimestamp |
LastModifiedTimestamp |
Policy |
MaximumMessageSize |
MessageRetentionPeriod |
QueueArn |

#### Instances

Instances details

Enum QueueAttribute # |

Instance details

Defined in Aws.Sqs.Core

Methods

succ :: QueueAttribute -> QueueAttribute #

pred :: QueueAttribute -> QueueAttribute #

toEnum :: Int -> QueueAttribute #

fromEnum :: QueueAttribute -> Int #

enumFrom :: QueueAttribute -> [QueueAttribute] #

enumFromThen :: QueueAttribute -> QueueAttribute -> [QueueAttribute] #

enumFromTo :: QueueAttribute -> QueueAttribute -> [QueueAttribute] #

enumFromThenTo :: QueueAttribute -> QueueAttribute -> QueueAttribute -> [QueueAttribute] #

Show QueueAttribute # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> QueueAttribute -> ShowS # show :: QueueAttribute -> String # showList :: [QueueAttribute] -> ShowS #
Eq QueueAttribute # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: QueueAttribute -> QueueAttribute -> Bool # (/=) :: QueueAttribute -> QueueAttribute -> Bool #

data MessageAttribute #

Constructors

MessageAll | all values
SenderId | the AWS account number (or the IP address, if anonymous access is allowed) of the sender
SentTimestamp | the time when the message was sent (epoch time in milliseconds)
ApproximateReceiveCount | the number of times a message has been received but not deleted
ApproximateFirstReceiveTimestamp | the time when the message was first received (epoch time in milliseconds)

#### Instances

Instances details

Bounded MessageAttribute # |
Instance details Defined in Aws.Sqs.Core Methods minBound :: MessageAttribute # maxBound :: MessageAttribute #
Enum MessageAttribute # |

Instance details

Defined in Aws.Sqs.Core

Methods

succ :: MessageAttribute -> MessageAttribute #

pred :: MessageAttribute -> MessageAttribute #

toEnum :: Int -> MessageAttribute #

fromEnum :: MessageAttribute -> Int #

enumFrom :: MessageAttribute -> [MessageAttribute] #

enumFromThen :: MessageAttribute -> MessageAttribute -> [MessageAttribute] #

enumFromTo :: MessageAttribute -> MessageAttribute -> [MessageAttribute] #

enumFromThenTo :: MessageAttribute -> MessageAttribute -> MessageAttribute -> [MessageAttribute] #

Read MessageAttribute # |
Instance details Defined in Aws.Sqs.Core Methods readsPrec :: Int -> ReadS MessageAttribute # readList :: ReadS [MessageAttribute] # readPrec :: ReadPrec MessageAttribute # readListPrec :: ReadPrec [MessageAttribute] #
Show MessageAttribute # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> MessageAttribute -> ShowS # show :: MessageAttribute -> String # showList :: [MessageAttribute] -> ShowS #
Eq MessageAttribute # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: MessageAttribute -> MessageAttribute -> Bool # (/=) :: MessageAttribute -> MessageAttribute -> Bool #
Ord MessageAttribute # |

Instance details

Defined in Aws.Sqs.Core

Methods

compare :: MessageAttribute -> MessageAttribute -> Ordering #

(<) :: MessageAttribute -> MessageAttribute -> Bool #

(<=) :: MessageAttribute -> MessageAttribute -> Bool #

(>) :: MessageAttribute -> MessageAttribute -> Bool #

(>=) :: MessageAttribute -> MessageAttribute -> Bool #

max :: MessageAttribute -> MessageAttribute -> MessageAttribute #

min :: MessageAttribute -> MessageAttribute -> MessageAttribute #

data SqsPermission #

Constructors

PermissionAll |
PermissionSendMessage |
PermissionReceiveMessage |
PermissionDeleteMessage |
PermissionChangeMessageVisibility |
PermissionGetQueueAttributes |

#### Instances

Instances details

Enum SqsPermission # |

Instance details

Defined in Aws.Sqs.Core

Methods

succ :: SqsPermission -> SqsPermission #

pred :: SqsPermission -> SqsPermission #

toEnum :: Int -> SqsPermission #

fromEnum :: SqsPermission -> Int #

enumFrom :: SqsPermission -> [SqsPermission] #

enumFromThen :: SqsPermission -> SqsPermission -> [SqsPermission] #

enumFromTo :: SqsPermission -> SqsPermission -> [SqsPermission] #

enumFromThenTo :: SqsPermission -> SqsPermission -> SqsPermission -> [SqsPermission] #

Show SqsPermission # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> SqsPermission -> ShowS # show :: SqsPermission -> String # showList :: [SqsPermission] -> ShowS #
Eq SqsPermission # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: SqsPermission -> SqsPermission -> Bool # (/=) :: SqsPermission -> SqsPermission -> Bool #

parseQueueAttribute :: MonadThrow m => Text -> m QueueAttribute #

printQueueAttribute :: QueueAttribute -> Text #

parseMessageAttribute :: MonadThrow m => Text -> m MessageAttribute #

printMessageAttribute :: MessageAttribute -> Text #

printPermission :: SqsPermission -> Text #

newtype ReceiptHandle #

Constructors

ReceiptHandle Text |

#### Instances

Instances details

Read ReceiptHandle # |
Instance details Defined in Aws.Sqs.Core Methods readsPrec :: Int -> ReadS ReceiptHandle # readList :: ReadS [ReceiptHandle] # readPrec :: ReadPrec ReceiptHandle # readListPrec :: ReadPrec [ReceiptHandle] #
Show ReceiptHandle # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> ReceiptHandle -> ShowS # show :: ReceiptHandle -> String # showList :: [ReceiptHandle] -> ShowS #
Eq ReceiptHandle # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: ReceiptHandle -> ReceiptHandle -> Bool # (/=) :: ReceiptHandle -> ReceiptHandle -> Bool #
Ord ReceiptHandle # |

Instance details

Defined in Aws.Sqs.Core

Methods

compare :: ReceiptHandle -> ReceiptHandle -> Ordering #

(<) :: ReceiptHandle -> ReceiptHandle -> Bool #

(<=) :: ReceiptHandle -> ReceiptHandle -> Bool #

(>) :: ReceiptHandle -> ReceiptHandle -> Bool #

(>=) :: ReceiptHandle -> ReceiptHandle -> Bool #

max :: ReceiptHandle -> ReceiptHandle -> ReceiptHandle #

min :: ReceiptHandle -> ReceiptHandle -> ReceiptHandle #

newtype MessageId #

Constructors

MessageId Text |

#### Instances

Instances details

Read MessageId # |
Instance details Defined in Aws.Sqs.Core Methods readsPrec :: Int -> ReadS MessageId # readList :: ReadS [MessageId] # readPrec :: ReadPrec MessageId # readListPrec :: ReadPrec [MessageId] #
Show MessageId # |
Instance details Defined in Aws.Sqs.Core Methods showsPrec :: Int -> MessageId -> ShowS # show :: MessageId -> String # showList :: [MessageId] -> ShowS #
Eq MessageId # |
Instance details Defined in Aws.Sqs.Core Methods (==) :: MessageId -> MessageId -> Bool # (/=) :: MessageId -> MessageId -> Bool #
Ord MessageId # |
Instance details Defined in Aws.Sqs.Core Methods compare :: MessageId -> MessageId -> Ordering # (<) :: MessageId -> MessageId -> Bool # (<=) :: MessageId -> MessageId -> Bool # (>) :: MessageId -> MessageId -> Bool # (>=) :: MessageId -> MessageId -> Bool # max :: MessageId -> MessageId -> MessageId # min :: MessageId -> MessageId -> MessageId #

printReceiptHandle :: ReceiptHandle -> Text #